// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

  let ULV = 8
  let LV = 30
  let MV = 120
  let HV = 480
  let EV = 1920

// sculk_vein

event.recipes.gtceu.cutter('kubejs:cutter/sculk_vein')
.itemInputs('minecraft:sculk')
.inputFluids(Fluid.of('minecraft:water', 80))
.itemOutputs('9x minecraft:sculk_vein')
.duration(800)
.EUt(LV)

// sculk_vein

event.recipes.gtceu.cutter('kubejs:cutter/sculk_vein_2')
.itemInputs('minecraft:sculk')
.inputFluids(Fluid.of('gtceu:distilled_water', 60))
.itemOutputs('9x minecraft:sculk_vein')
.duration(600)
.EUt(LV)

// sculk_vein

event.recipes.gtceu.cutter('kubejs:cutter/sculk_vein_3')
.itemInputs('minecraft:sculk')
.inputFluids(Fluid.of('gtceu:lubricant', 20))
.itemOutputs('9x minecraft:sculk_vein')
.duration(400)
.EUt(LV)

// obsidian_plate

event.recipes.gtceu.cutter('kubejs:cutter/obsidian_plate')
.itemInputs('minecraft:obsidian')
.inputFluids(Fluid.of('minecraft:water', 80))
.itemOutputs('4x gtceu:obsidian_plate')
.duration(800)
.EUt(MV)

// obsidian_plate

event.recipes.gtceu.cutter('kubejs:cutter/obsidian_plate_2')
.itemInputs('minecraft:obsidian')
.inputFluids(Fluid.of('gtceu:distilled_water', 60))
.itemOutputs('4x gtceu:obsidian_plate')
.duration(600)
.EUt(MV)

// obsidian_plate

event.recipes.gtceu.cutter('kubejs:cutter/obsidian_plate_3')
.itemInputs('minecraft:obsidian')
.inputFluids(Fluid.of('gtceu:lubricant', 20))
.itemOutputs('4x gtceu:obsidian_plate')
.duration(400)
.EUt(MV)



// fin //

  })